org.apache.sis.geometry

## Class UnmodifiableGeometryException

- Object
- - Throwable
  - - Exception
    - - RuntimeException
      - - UnsupportedOperationException
        - - UnmodifiableGeometryException

- All Implemented Interfaces:
    Serializable

      public class UnmodifiableGeometryException
      extends UnsupportedOperationException

  Indicates that an operation is not allowed on a geometry object because it is unmodifiable. Note that unmodifiable geometries are not necessarily immutable; they are just not allowed to be modified through the `setFoo(...)` method that raised this exception. Whatever an unmodifiable geometry is immutable or not is implementation dependent.
  Since:
    0.3
  See Also:
    Serialized Form

  Defined in the `sis-referencing` module

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnmodifiableGeometryException()` Creates an exception with no message.
    `UnmodifiableGeometryException(String message)` Creates an exception with the specified message.

  - ### Method Summary

    - ### Methods inherited from class Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnmodifiableGeometryException

          public UnmodifiableGeometryException()

      Creates an exception with no message.

    - #### UnmodifiableGeometryException

          public UnmodifiableGeometryException(String message)

      Creates an exception with the specified message.
      Parameters:
        `message` - The detail message. The detail message is saved for later retrieval by the `Throwable​.getMessage()` method.

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.